<?php
define('NTOP', 1);
$title = 'Добавление сообщения в гостевую';
require_once ('system/connect.php');
require_once ('system/core.php');
require_once ('system/function.php');
require_once ('m/head.php');
reg();
echo'<div class="topik">Добавление сообщения</div><div class="stat"/>';
if(isset($_POST['ok'])){
$sms = filter($_POST['sms']);
$error = '';
if (mysql_num_rows(mysql_query("SELECT * FROM `sms` WHERE `smska` = '".$sms."' LIMIT 1")) != 0){
$error .= 'Это сообщение уже существует!<br/>';
}
if(mb_strlen($sms) > 500){
$error .= 'Ошибка! Поле сообщение не должно быть больше 500 символов!<br/>';
}
if(empty($sms)){
$error .= 'Нет сообщения!<br/>';
}
if(!empty($error)){
echo $error;
echo '<br><a href="/chat.php">Назад</a></div>';
} else {
mysql_query("INSERT INTO `sms` SET `smska` = '".$sms."', `author` = '".$user_data['login']."', `data` = '".time()."'");

echo 'Вы успешно добавили сообщение!<br/>
<a href="/gb.php">Перейти</a></div>';
header("Location: chat.php");
}
}
require_once ('m/foot.php');
?>